giraph-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Arko Provo Mukherjee <arkoprovomukher...@gmail.com>
Subject Re: Using Giraph
Date Tue, 11 Mar 2014 18:54:36 GMT
Hello,

Thanks for the reply. I tried the suggestion, but the error persists:
org.apache.maven.lifecycle.LifecycleExecutionException: Failed to execute
goal org.apache.maven.plugins:maven-enforcer-plugin:1.2:enforce (default)
on project giraph-parent: Some Enforcer rules have failed. Look above for
specific messages explaining why the rule failed.

Thanks & regards
Arko


On Tue, Mar 11, 2014 at 1:33 PM, Sebastian Schelter <ssc@apache.org> wrote:

> Try mvn -Phadoop_1 -DskipTests clean package
>
> That should built for Hadoop 1.x
>
>
> On 03/11/2014 07:23 PM, Arko Provo Mukherjee wrote:
>
>> To add on to the last post, I am using Hadoop 1.2.1. I want to be sure
>> that
>> is not causing an issue?
>> Thanks & regards
>> Arko
>>
>>
>>
>> On Tue, Mar 11, 2014 at 1:19 PM, Arko Provo Mukherjee <
>> arkoprovomukherjee@gmail.com> wrote:
>>
>>  Hello,
>>>
>>> I am trying to install Giraph using the guidelines in:
>>> *http://giraph.apache.org/quick_start.html
>>> <http://giraph.apache.org/quick_start.html>*
>>>
>>>
>>> When I try to run $ mvn package -DskipTests, I get the following errors:
>>>
>>> *[WARNING] Some problems were encountered while building the effective
>>> model for org.apache.giraph:giraph-rexster-io:jar:1.1.0-SNAPSHOT*
>>> *[WARNING] 'dependencies.dependency.systemPath' for
>>>
>>> org.apache.giraph:giraph-kibble:jar refers to a non-existing file
>>> /Users/arko/Documents/Tools/giraph/giraph-rexster/giraph-
>>> rexster-io/../../giraph-rexster/giraph-kibble/target/
>>> giraph-kibble-1.1.0-SNAPSHOT.jar
>>> @ line 178, column 19*
>>>
>>> *[WARNING] Rule 2: org.apache.maven.plugins.enforcer.RequireJavaVersion
>>> failed with message:*
>>> *Detected JDK Version: 1.6.0-65 is not in the allowed range 1.7.*
>>>
>>>
>>> *[INFO] Apache Giraph Parent .............................. FAILURE
>>> [2.482s]*
>>>
>>>   *[ERROR] Failed to execute goal
>>>
>>> org.apache.maven.plugins:maven-enforcer-plugin:1.2:enforce (default) on
>>> project giraph-parent: Some Enforcer rules have failed. Look above for
>>> specific messages explaining why the rule failed. -> [Help 1]*
>>>
>>>
>>> Please help! The Java issue seems to be a warning rather than an error.
>>> My
>>> Java version is 1.6.0_65.
>>>
>>> Thanks & regards
>>> Arko
>>>
>>>
>>>
>>>
>>> On Sat, Mar 1, 2014 at 7:14 PM, Arko Provo Mukherjee <
>>> arkoprovomukherjee@gmail.com> wrote:
>>>
>>>  Hello Giraph Gurus,
>>>>
>>>> I am interested in learning how to learn code custom graph algorithms
>>>> using Giraph.
>>>>
>>>> I have some experience using MapReduce and have coded Graph Algorithms
>>>> on
>>>> top of Hadoop. Now I want to learn how to do the same for Pregel (using
>>>> Giraph).
>>>>
>>>> I have downloaded giraph-1.0.0 but didn't find in JAR files as you do in
>>>> Hadoop Downloads that you can compile against.
>>>>
>>>> So I wanted to understand how to compile a giraph program.
>>>>
>>>> Also pointing out to some trivial example code or elementary skeleton
>>>> code would really help.
>>>>
>>>> Thanks a lot in advance! Appreciate all your help!
>>>>
>>>> Warm regards
>>>>   Arko
>>>>
>>>>
>>>
>>>
>>
>

Mime
View raw message